{% extends "base.twig" %}

{% block content %}
    <div class="page-container blog">
        <section class="page-banner">
            <h1 class="page-banner-title">Le Blog</h1>
        </section>
        <div class="post-preview-container">
            <div class="row">
                {% for post in posts %}
                    {% include ['tease-'~post.post_type~'.twig', 'tease.twig'] %}
                {% endfor %}
            </div>
        </div>
        {% if posts.pagination.prev or posts.pagination.next %}
            <div class="pagination-buttons">
                {% if posts.pagination.prev %}
                    <a href="{{posts.pagination.prev.link}}" class="prev {{posts.pagination.prev.link|length ? '' : 'invisible'}}"><i class="fa fa-long-arrow-left" aria-hidden="true"></i>   Précédent</a>
                {% endif %}

                {% if posts.pagination.next %}
                    <a href="{{posts.pagination.next.link}}" class="next {{posts.pagination.next.link|length ? '' : 'invisible'}}">Suivant   <i class="fa fa-long-arrow-right" aria-hidden="true"></i></a>
                {% endif %}
            </div>
        {% endif %}
    </div>
{% endblock %}
